ch.qos.logback.core

## Class BasicStatusManager

- java.lang.Object
- - ch.qos.logback.core.BasicStatusManager

All Implemented Interfaces:
  StatusManager

    public class BasicStatusManager
    extends java.lang.Object
    implements StatusManager

### Field Summary

Fields
`static int` `MAX_HEADER_COUNT`
`protected java.util.List<Status>` `statusList`
`protected java.util.List<StatusListener>` `statusListenerList`
`protected LogbackLock` `statusListenerListLock`
`protected LogbackLock` `statusListLock`
`static int` `TAIL_SIZE`
`protected CyclicBuffer<Status>` `tailBuffer`

### Constructor Summary

Constructors
Constructor and Description
`BasicStatusManager()`

### Method Summary

Methods
`void` `add(Status newStatus)` Add a new status object.
`void` `add(StatusListener listener)` Add a status listener.
`void` `clear()` Clear the list of status messages.
`java.util.List<Status>` `getCopyOfStatusList()` Obtain a copy of the status list maintained by this StatusManager.
`java.util.List<StatusListener>` `getCopyOfStatusListenerList()` Obtain a copy of the status listener list maintained by this StatusManager
`int` `getCount()` Return the number of status entries.
`int` `getLevel()`
`void` `remove(StatusListener listener)` Remove a status listener.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### MAX_HEADER_COUNT

    public static final int MAX_HEADER_COUNT

See Also:
  Constant Field Values

#### TAIL_SIZE

    public static final int TAIL_SIZE

See Also:
  Constant Field Values

#### statusList

    protected final java.util.List<Status> statusList

#### tailBuffer

    protected final CyclicBuffer<Status> tailBuffer

#### statusListLock

    protected final LogbackLock statusListLock

#### statusListenerList

    protected final java.util.List<StatusListener> statusListenerList

#### statusListenerListLock

    protected final LogbackLock statusListenerListLock

### Constructor Detail

#### BasicStatusManager

    public BasicStatusManager()

### Method Detail

#### add

    public void add(Status newStatus)

Add a new status object.

Specified by:
  `add` in interface `StatusManager`
Parameters:
  `newStatus` - the status message to add

#### getCopyOfStatusList

    public java.util.List<Status> getCopyOfStatusList()

Description copied from interface: `StatusManager`
Obtain a copy of the status list maintained by this StatusManager.

Specified by:
  `getCopyOfStatusList` in interface `StatusManager`
Returns:

#### clear

    public void clear()

Description copied from interface: `StatusManager`
Clear the list of status messages.

Specified by:
  `clear` in interface `StatusManager`

#### getLevel

    public int getLevel()

#### getCount

    public int getCount()

Description copied from interface: `StatusManager`
Return the number of status entries.

Specified by:
  `getCount` in interface `StatusManager`
Returns:

#### add

    public void add(StatusListener listener)

Description copied from interface: `StatusManager`
Add a status listener.

Specified by:
  `add` in interface `StatusManager`

#### remove

    public void remove(StatusListener listener)

Description copied from interface: `StatusManager`
Remove a status listener.

Specified by:
  `remove` in interface `StatusManager`

#### getCopyOfStatusListenerList

    public java.util.List<StatusListener> getCopyOfStatusListenerList()

Description copied from interface: `StatusManager`
Obtain a copy of the status listener list maintained by this StatusManager

Specified by:
  `getCopyOfStatusListenerList` in interface `StatusManager`
Returns: